@import "_mixins.scss";
@import "_button-download";
@import "_variable";

.container-forimage-one{
    background-image: url("./img/img_1.jpg");
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    height: 800px;

}
.header{
    @include margin-auto;
}
.wrapper{
    display: flex;
    justify-content: space-between;
    flex-grow: 1;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 30px;
    max-width: 1180px;
    margin-left:auto;
    margin-right: auto;
}

.logo-link{
    display: flex;
    text-decoration: none;
    color: $colorTheme;
    transition: all .3s ease;
    &:hover{
        filter: invert(93%) sepia(98%) saturate(0%) hue-rotate(288deg) brightness(1000%) contrast(103%);
    }
}

.logo-img{
    margin-right: 17px;
    width: 43px;
    height: 41px;
}
// ДОРОБИТИ ЛОГО ЩОБ МІНЯЛО КОЛІР//
.logo-name{
    font-family: 'Lato', sans-serif;
    font-weight: 700;
    font-size: 24px;
    line-height: 40px;
}

.btn-container{
    display: flex;
    justify-content: space-around;
    flex-grow: 0.5;
}
.header-menu{
    display:flex;
    flex-grow: 0.5;
    max-width: 700px;
    justify-content: space-between;
    text-align: center;
}

.menu-item{
    text-decoration: none;
    color: $colorTheme;
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 40px;
    &:hover{
        color: #FFFFFF;
    }
}

.btn-buy-now{
    text-decoration: none;
    color:  #FFFFFF;
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 40px;
    background-color: $colorTheme;
    padding-left: 2em;
    padding-right: 2em;
    border: 1px solid $colorTheme;
    border-radius: 20px;

    &:hover{
        color: $colorTheme;
        background-color: #FFFFFF;
        border-color: #FFFFFF;
    }

}

.menu-link{
    display: none;
    width: 22px;
    height: 22px;
    background-image: url("./img/icons8-men-481.png");
}

.page-title-container{
    margin-top: 130px;
    text-align: center;
}
.page-title{
    color: #FFFFFF;
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 82px;
    line-height: 82px;
}
.page-about-text{
    font-family: 'Lato';
    font-style: normal;
    font-weight: 400;
    font-size: 30px;
    line-height: 30px;
    color: $colorTheme;
    margin-top: 20px;
    padding-left: 10px;
    padding-right: 10px;
}
.page-name-version{
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 16px;
    color: #848E97;
    margin-top: 20px;
}
.btn-download-container{
    text-align: center;
    margin-top: 417px;
}

.btn-download{
    text-align: center;
    text-decoration: none;
    color:  #FFFFFF;
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 21px;
    background-color: #8D81AC;
    padding: 1em 2em;
    border: 1px solid #8D81AC;
    border-radius: 40px;
    min-width: 320px;
    transition: all .6s ease;
   

    &:hover{
        color: #8D81AC;
        background-color: #FFFFFF;
        border-color: #FFFFFF;
    }
}

.btn-infotmation{
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 15px;
    margin-top: 40px;
}


@media(max-width: 992px){
    .wrapper{
        background-color: #27262A;
        padding-bottom: 50px;
    }

    .header-menu{
        position: absolute;
        width: 480px;
        left:50%;
        transform:translate(-50%);
        top: 5em;
    }
    .btn-container{
        justify-content: space-around;
        flex-grow: 0;
    }
    .page-title-container{
        margin-top: 80px;
    }
   
}
@media(max-width: 729px){
    .btn-download-container{
        margin-top: 387px;
    }
}
@media(max-width: 480px){
    .logo-name{
        display:none
    }

    .btn-container {
        display: flex;
        align-items: center;
    } 

    .header-menu{
        display:none;
        flex-direction: column;
        align-items: center;
        max-width: 700px;
        max-height: 290px;
        text-align: center;
        justify-content: center;
        margin-top: 5em;
        
    }
    .menu-item{
        min-width: 290px;
        color: #FFFFFF;
        font-weight: 400;
        min-width: 290px;
        min-height: 90px;
        font-size: 26px;
        line-height: 26px;
        border: 1px solid #464646;
        background-color:#333333;
        display: flex;
        align-items: center;
        justify-content:left;
        padding-left: 15px;

        &:focus{
            color: $colorTheme;
        }
    }
    .btn-download{
        font-size: 18px;
        min-width: 320px;
    }

    .menu-link{
        display: flex;

    }
    .btn-container{
        flex-grow: 1;
    }
    .page-title{
        font-size: 48px;
        line-height: 48px;
    }
    .page-about-text{
        font-size: 18px;
        line-height: 24px;
    }
    .btn-download-container{
        margin-top: 460px;
    }
}
// @media(max-width: 445px){
//     .btn-download-container{
//          margin-top: 435px;
//      }

//     .btn-container {
//         display: flex;
//         align-items: center;
//     } 
// }

.header-menu-active{
    display: flex;
}
    
.menu-link-active{
    background-image: url("./img/icons8-eliminar-50.png");
}
